/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package lab12_calebfontenot;

/**
 *
 * @author caleb
 */
public class NestedWhilePatternC {

    public static void main(String[] args) {
        // Define variables
        int numberOfLines = 6;
        int rows = 1;
        int spacing;
        int collums;
        
        //Main while looping
        while (rows <= numberOfLines) {
            spacing = numberOfLines - rows; 
            while (spacing >= 1) { //Spacing
                System.out.print("  ");
                spacing--;
            }
            collums = rows;
            while (collums >= 1) { //Number printing
                System.out.print(collums + " ");
                collums--;
            }
            System.out.println();
            rows++;
            
        }
    }
}
